package com.template.services;

import com.template.model.pojo.AlumniCategory;
import com.template.model.pojo.AlumniCategoryImage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-25
 */
public interface AlumniCategoryImageService extends IService<AlumniCategoryImage> {
    int insertAlumniCategoryImage(AlumniCategoryImage au);

    int updateAlumniCategoryImage(AlumniCategoryImage au);

    AlumniCategoryImage queryDataById(Integer id);

    int deleteDataById(Integer id);

    PageUtils<AlumniCategoryImage> queryPageList(int currentPage, int pageCount, String startTime, String endTime);

    List<AlumniCategoryImage> queryDatas();

    AlumniCategoryImage queryDataByName(String name);
}
